:root {
    .theme-gray {
        --background-color: hsl(209, 19%, 27%);
        --bg-dark: hsl(196, 17%, 28%);
        --bg-light: hsl(209, 19%, 42%);

        --test: 153, 224, 255;

        // control
        --sidebar-bg: hsl(210, 18%, 31%);
        --tab-bg: hsl(210, 17%, 51%);

        --panel-footer-bg: var(--background-color);
        --panel-header-bg: hsl(210, 18%, 37%);
        --panel-bg: var(--background-color);
        --panel-split: inset 1px 0 1px 0 rgb(82 100 122);

        --button-color: var(--contrast-color);
        //--form-control-bg: hsl(200, 11%, 21%);
        //--form-control-bg: rgba(var(--test), 0.2);

        --popup-border: hsl(0, 0%, 48%);
        --popup-bg: hsl(0, 0%, 23%);
        --popup-border-radius: 0.5rem;

        --marker-popup-border-radius: 0.25rem;

        --border: var(--contrast-highlight);
        --border-light: rgb(172, 172, 172);
        --border-rgb: 219, 221, 225;

        // text
        --text-color: rgba(var(--contrast-color-rgb), 1);
        --text-color-rgb: var(--contrast-color-rgb);
        --text-color-light: rgba(var(--contrast-color-rgb), 0.9);
        --text-color-dark: rgba(var(--contrast-color-rgb), 0.6);

        --primary: rgb(245, 200, 0);
        --prim-rgb: 245, 200, 0;
        --prim-highlight: rgba(var(--prim-rgb), 0.3);
        --primary-light: rgb(255, 214, 163);
        --primary-dark: rgb(85, 120, 139);

        --secondary: rgb(255, 214, 163);
        --sec-rgb: 255, 214, 163;
        --secondary-light: rgba(var(--sec-rgb), 0.1);

        --tertiary: rgb(255, 190, 38);
        --ter-rgb: 255, 190, 38;

        --default-color: var(--bg-light);
        --success-color: #28a745;
        --info-color: #17a2b8;
        --warning-color: #ffc107;
        --danger-color: #ff5a4d;

        .app-overlay,
        .action-menu,
        .mapboxgl-popup,
            //.mapboxgl-popup,
            //.tooltip,
        .mapboxgl-marker,
        {
            --base-color: rgb(255, 255, 255);
            --base-color-rgb: 255, 255, 255;
            --base-light: rgba(var(--base-color-rgb), 0.05);
            --base-lighter: rgba(var(--base-color-rgb), 0.1);
            --base-highlight: rgba(var(--base-color-rgb), 0.15);

            --contrast-color: rgb(0, 0, 0);
            --contrast-color-rgb: 0, 0, 0;
            --contrast-light: rgba(var(--contrast-color-rgb), 0.05);
            --contrast-lighter: rgba(var(--contrast-color-rgb), 0.1);
            --contrast-highlight: rgba(var(--contrast-color-rgb), 0.15);

            --background-color: hsl(200, 18%, 98%);
            --bg-dark: hsl(200, 37%, 94%);
            --bg-light: hsl(200, 37%, 98%);

            // control
            --button-color: var(--base-color);
            --form-control-bg: var(--base-color);

            --panel-header-bg: var(--base-color);
            --panel-footer-bg: var(--base-color);
            --panel-split: none;

            --popup-border: hsl(0, 0%, 48%);
            --popup-bg: rgb(244, 248, 250);
            --popup-border-radius: 0.5rem;

            --marker-popup-border-radius: 0.625rem;

            --border: var(--contrast-highlight);
            --border-light: rgb(172, 172, 172);
            --border-rgb: 219, 221, 225;

            // text
            --text-color: rgba(var(--contrast-color-rgb), 0.6);
            --text-color-rgb: var(--contrast-color-rgb);
            --text-color-light: rgba(var(--contrast-color-rgb), 0.8);
            --text-color-dark: rgb(119, 119, 119);


        }
    }

    .theme-steel {
        //--background-color: hsl(198, 13%, 19%);
        --background-color: hsl(196, 17%, 32%);
        --bg-dark: hsl(196, 17%, 28%);
        --bg-light: hsl(196, 17%, 42%);

        --test: 153, 224, 255;

        // control
        --sidebar-bg: hsl(198, 13%, 24%);
        --tab-bg: hsl(0, 0%, 31%);

        --panel-footer-bg: var(--background-color);
        --panel-header-bg: hsl(198, 13%, 29%);
        --panel-bg: var(--background-color);
        --panel-split: inset 1px 0 1px 0 rgb(48 57 60);

        --button-color: var(--contrast-color);
        //--form-control-bg: hsl(200, 11%, 21%);
        //--form-control-bg: rgba(var(--test), 0.2);

        --popup-border: hsl(0, 0%, 48%);
        --popup-bg: hsl(0, 0%, 23%);
        --popup-border-radius: 0.5rem;

        --marker-popup-border-radius: 0.25rem;

        --border: var(--contrast-highlight);
        --border-light: rgb(172, 172, 172);
        --border-rgb: 219, 221, 225;

        // text
        --text-color: rgba(var(--contrast-color-rgb), 1);
        --text-color-rgb: var(--contrast-color-rgb);
        --text-color-light: rgba(var(--contrast-color-rgb), 0.9);
        --text-color-dark: rgba(var(--contrast-color-rgb), 0.6);

        --primary: rgb(61, 202, 212);
        --prim-rgb: 61, 202, 212;
        --prim-highlight: rgba(var(--prim-rgb), 0.3);
        --primary-light: hsl(208, 100%, 55%);
        --primary-dark: rgb(85, 120, 139);

        --secondary: rgb(255, 214, 163);
        --sec-rgb: 255, 214, 163;
        --secondary-light: rgba(var(--sec-rgb), 0.1);

        --tertiary: rgb(255, 190, 38);
        --ter-rgb: 255, 190, 38;

        --default-color: var(--bg-light);
        --success-color: #28a745;
        --info-color: #17a2b8;
        --warning-color: #ffc107;
        --danger-color: #ff5a4d;

        .app-overlay,
        .action-menu,
        .mapboxgl-popup,
            //.mapboxgl-popup,
            //.tooltip,
        .mapboxgl-marker,
        {
            --base-color: rgb(255, 255, 255);
            --base-color-rgb: 255, 255, 255;
            --base-light: rgba(var(--base-color-rgb), 0.05);
            --base-lighter: rgba(var(--base-color-rgb), 0.1);
            --base-highlight: rgba(var(--base-color-rgb), 0.15);

            --contrast-color: rgb(0, 0, 0);
            --contrast-color-rgb: 0, 0, 0;
            --contrast-light: rgba(var(--contrast-color-rgb), 0.05);
            --contrast-lighter: rgba(var(--contrast-color-rgb), 0.1);
            --contrast-highlight: rgba(var(--contrast-color-rgb), 0.15);

            --background-color: hsl(200, 18%, 98%);
            --bg-dark: hsl(200, 37%, 94%);
            --bg-light: hsl(200, 37%, 98%);

            // control
            --button-color: var(--base-color);
            --form-control-bg: var(--base-color);

            --panel-header-bg: var(--base-color);
            --panel-footer-bg: var(--base-color);
            --panel-split: none;

            --popup-border: hsl(0, 0%, 48%);
            --popup-bg: rgb(244, 248, 250);
            --popup-border-radius: 0.5rem;

            --marker-popup-border-radius: 0.625rem;

            --border: var(--contrast-highlight);
            --border-light: rgb(172, 172, 172);
            --border-rgb: 219, 221, 225;

            // text
            --text-color: rgba(var(--contrast-color-rgb), 0.6);
            --text-color-rgb: var(--contrast-color-rgb);
            --text-color-light: rgba(var(--contrast-color-rgb), 0.8);
            --text-color-dark: rgb(119, 119, 119);

            --default-color: var(--text-color);
        }
    }

    .theme-blue {
        --primary: rgb(0, 136, 255);
        --prim-rgb: 0, 136, 255;
        --prim-highlight: rgba(var(--prim-rgb), 0.3);
        --primary-light: hsl(208, 100%, 55%);
        --primary-dark: rgb(85, 120, 139);

        --secondary: rgb(253, 65, 86);
        --sec-rgb: 253, 65, 86;
        --secondary-light: rgba(var(--sec-rgb), 0.1);

        --tertiary: rgb(255, 190, 38);
        --ter-rgb: 255, 190, 38;
    }

    .theme-red {
        --primary: rgb(253, 63, 85);
        --prim-rgb: 253, 63, 85;
        --prim-highlight: rgba(var(--prim-rgb), 0.3);
        --primary-light: hsl(353, 98%, 72%);
        --primary-dark: hsl(353, 78%, 52%);

        --secondary: rgb(253, 65, 86);
        --sec-rgb: 253, 65, 86;
        --secondary-light: rgba(var(--sec-rgb), 0.1);

        --tertiary: rgb(255, 190, 38);
        --ter-rgb: 255, 190, 38;
    }

    .theme-green {
        --primary: rgb(8, 161, 115);
        --prim-rgb: 8, 161, 115;
        --prim-highlight: rgba(var(--prim-rgb), 0.3);
    }

    .theme-purple {
        --primary: rgb(113, 75, 254);
        --prim-rgb: 113, 75, 254;
        --prim-highlight: rgba(var(--prim-rgb), 0.3);
    }
}
